aboutsummaryrefslogtreecommitdiffstats
path: root/main/enchant/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/enchant/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/enchant/APKBUILD')
-rw-r--r--main/enchant/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/main/enchant/APKBUILD b/main/enchant/APKBUILD
new file mode 100644
index 0000000000..8133127b47
--- /dev/null
+++ b/main/enchant/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=enchant
+pkgver=1.5.0
+pkgrel=1
+pkgdesc="A wrapper library for generic spell checking"
+url="http://www.abisource.com/enchant/"
+license="LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+depends_dev="glib-dev"
+makedepends="aspell-dev dbus-glib-dev hunspell-dev libiconv-dev gettext-dev"
+source="http://www.abisource.com/downloads/$pkgname/$pkgver/$pkgname-$pkgver.tar.gz"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --disable-static || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="7dfaed14e142b4a0004b770c9568ed02 enchant-1.5.0.tar.gz"